Jump to content


Photo

libusb


  • Please log in to reply
10 replies to this topic

#1 kurlit

  • New Member
  • 3 posts

0
Neutral

Posted 2 July 2018 - 17:35

Hi all,

 

I have DM800se and OpenPli 4.0 and I need your help.

 

I have downloaded oscam and put binary in /usr/bin with 755

 

Then I put the config files in /etc/tuxbox/config/oscam/

 

When I try to manually start oscam I get this error message:

 "error while loading shared libraries: libusb-1.0.so.0: cannot open shared object file: No such file or directory"

 

Hope to get some help.

 

May be you can give me a command line to install libusb from the feeds

 

 



Re: libusb #2 mimisiku

  • Senior Member
  • 1,748 posts

+22
Neutral

Posted 2 July 2018 - 20:00

Either install usb functions via kernel package update or install an oscam version without USB support (only needed if you want to. EXternal USB cardreaders like Smargo etc.
VU+ Solo SE v2 Optus NZ

Re: libusb #3 mrvica

  • Senior Member
  • 587 posts

+33
Good

Posted 2 July 2018 - 20:34

the quickest way, unzip and copy to /usr/lib

Attached Files



Re: libusb #4 kurlit

  • New Member
  • 3 posts

0
Neutral

Posted 2 July 2018 - 21:26

Thanks my friend, oscam works fine :)

 

I really appreciate it.



Re: libusb #5 Pr2

  • PLi® Contributor
  • 2,874 posts

+119
Excellent

Posted 3 July 2018 - 15:18

Hi,

 

The best approach is to install it from the feed, in telnet:

opkg update
opkg list | grep -i libusb

You will get something like this:

 

 

libusb-0.1-4 - 1:0.1.5-r0.4 - libusb-0.1 compatibility layer for libusb1

 libusb-0.1 compatible layer for libusb1, a drop-in replacement that aims

 to look, feel and behave exactly like libusb-0.1

libusb-0.1-staticdev - 1:0.1.5-r0.4 - libusb-0.1 compatibility layer for libusb1 - Development files (Static Libraries)

 libusb-0.1 compatible layer for libusb1, a drop-in replacement that aims

 to look, feel and behave exactly like libusb-0.1  This package contains

libusb-1.0-0 - 1.0.21-r0.4 - Userspace library to access USB (version 1.0)

libusb-1.0-staticdev - 1.0.21-r0.4 - Userspace library to access USB (version 1.0) - Development files (Static Libraries)

 

 

 

So you type:

opkg install libusb-1.0-0

Since it is the version 1.0 which is requested by the error message.

 

The advantage by doing this properly is that with Autobackup the libusb-1.0 is now known to be required on your system, so if you upgrade later on your image libusb-1.0 will be reinstalled automatically.

 

Pr2


NO SUPPORT by PM, it is a forum make your question public so everybody can benefit from the question/answer.

If you think that my answer helps you, you can press the up arrow in bottom right the answer.

 

Octagon SF-4008: Hotbird 13.0E, Astra 19.2E, Eutelsat5A 5.0W (+DVB-C)
VU+ Solo 4K: 2*DVB-S2 + 2*DVB-C/T/T2 (used in DVB-C)
Amiko Viper Combo: 1*DVB-S2 + 1*DVB-C

Zgemma H7C: 1*DVB-S2 + 2*DVB-C


Re: libusb #6 kurlit

  • New Member
  • 3 posts

0
Neutral

Posted 3 July 2018 - 18:24

Mamy, many thanks Pr2

 

The best solution for me ;)



Re: libusb #7 Erik Slagter

  • PLi® Core member
  • 43,710 posts

+473
Excellent

Posted 6 July 2018 - 09:29

Or even better, just install oscam from the feeds?


* Wavefrontier T90 with 28E/23E/19E/13E/9E/4.8E/0.8W/5W via SCR switches 2 x 2 x 6 user bands
* Ziggo digital cable TV (FTA)
I don't read PM -> if you have something to ask or to report, do it in the forum so others can benefit. I don't take freelance jobs.
Ik lees geen PM -> als je iets te vragen of te melden hebt, doe het op het forum, zodat anderen er ook wat aan hebben.

Re: libusb #8 Pr2

  • PLi® Contributor
  • 2,874 posts

+119
Excellent

Posted 6 July 2018 - 10:04

@Erik,

 

Yes true also except if he really needs libusb for external readers.  I don't think that OpenPLi provides such version from the feed.

 

Anyway I just realised that both answers can no longer work for kurlit since he is still using OpenPLi 4 and I think that feeds are down now.

 

Pr2


NO SUPPORT by PM, it is a forum make your question public so everybody can benefit from the question/answer.

If you think that my answer helps you, you can press the up arrow in bottom right the answer.

 

Octagon SF-4008: Hotbird 13.0E, Astra 19.2E, Eutelsat5A 5.0W (+DVB-C)
VU+ Solo 4K: 2*DVB-S2 + 2*DVB-C/T/T2 (used in DVB-C)
Amiko Viper Combo: 1*DVB-S2 + 1*DVB-C

Zgemma H7C: 1*DVB-S2 + 2*DVB-C


Re: libusb #9 Erik Slagter

  • PLi® Core member
  • 43,710 posts

+473
Excellent

Posted 6 July 2018 - 10:18

If our oscam is built with a configuration setting that needs libusb, then OE will take care the proper libusb will be built and made available in the feeds. So the only issue could be is that we don't build oscam with that option. Which I don't think is the case.

 

Mixing libraries with binaries from different sources is a bad idea anyway.

 

EDIT: and OpenPLi 4 is simply no longer supported, TS can switch to either 6.1 or 6.2. The feeds are still there, though.


Edited by WanWizard, 6 July 2018 - 14:14.
version missing in the edit

* Wavefrontier T90 with 28E/23E/19E/13E/9E/4.8E/0.8W/5W via SCR switches 2 x 2 x 6 user bands
* Ziggo digital cable TV (FTA)
I don't read PM -> if you have something to ask or to report, do it in the forum so others can benefit. I don't take freelance jobs.
Ik lees geen PM -> als je iets te vragen of te melden hebt, doe het op het forum, zodat anderen er ook wat aan hebben.

Re: libusb #10 WanWizard

  • Forum Moderator
    PLi® Core member
  • 42,395 posts

+676
Excellent

Posted 6 July 2018 - 14:14

We don't make an OpenPLi 6 for the DM800SE. The DM800SE is end of life.


Many answers to your question can be found in our new and improved wiki.

Currently in active use: VU+Solo 4K (1xFBC, 2xS2), VU+Zero, Edision OS mini+, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

For testing purposes: XP1000, Formuler F1 (2xS2), Miraclebox Premium Micro (S2+C/T), ET7500 (S2), ET8500 (S2), Zgemma H2.H (S2+C), Zgemma H5.2TC, SAB TripleAlpha (S2+C/T), Galaxy 4K (FBC), VU Zero 4K, HD2400 (4xS2), ET10000 (4xS2), VU+Duo2 (1xS2), Edision OS nino


Re: libusb #11 Erik Slagter

  • PLi® Core member
  • 43,710 posts

+473
Excellent

Posted 7 July 2018 - 08:45

Then so is the support ;)


* Wavefrontier T90 with 28E/23E/19E/13E/9E/4.8E/0.8W/5W via SCR switches 2 x 2 x 6 user bands
* Ziggo digital cable TV (FTA)
I don't read PM -> if you have something to ask or to report, do it in the forum so others can benefit. I don't take freelance jobs.
Ik lees geen PM -> als je iets te vragen of te melden hebt, doe het op het forum, zodat anderen er ook wat aan hebben.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users